﻿COMPUTE votp1a = votp1 .
DISCRIMINANT
  /GROUPS=votp1(1 3)
  /VARIABLES=cons age scola reven occup sexe
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF missing(votp1a) | (votp1a = 95) votp1a = dis_1 .

var lab votp1a "INTENTIONS ÉLECTORALES MAI 2013".
val lab votp1a 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "PON" 7 "AUT".
EXECUTE .

COMPUTE ref1a = ref1 .
DISCRIMINANT
  /GROUPS=ref1(1 2)
  /VARIABLES=cons age scola reven occup sexe votp1
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
IF (ref1a = 8) | missing(ref1a) ref1a = dis_2 .

var lab ref1a "INTENTIONS RÉFÉRENDAIRES MAI 2013.".
val lab ref1a 1 "POUR" 2 "CONTRE".

EXECUTE .

